TRPT(8C)

NAME
trpt - transliterate protocol trace

SYNOPSIS
/usr/etc/trpt [ -a ] [ -s ] [ -t ] [ -j ] [ -p hex-address ] [ system [ core ] ]

/usr/etc/tdmp [ -d ] [ -f filename ] [ -o ] [ system [ core ] ]

/usr/etc/tprint [ -i in_filename ] [ -o out_filename ] [ options ]

DESCRIPTION
Trpt interrogates the buffer of TCP trace records created when a socket is marked for “debugging” (see setsockopt(2)), and prints a readable description of these records. When no options are supplied, trpt prints all the trace records found in the system grouped according to TCP connection protocol control block (PCB). The following options may be used to alter this behavior.

-s  in addition to the normal output, print a detailed description of the packet sequencing information,

-t  in addition to the normal output, print the values for all timers at each point in the trace,

-j  just give a list of the protocol control block addresses for which there are trace records,

-p  show only trace records associated with the protocol control block who's address follows,

-a  in addition to the normal output, print the values of the source and destination addresses for each packet recorded.

The recommended use of trpt is as follows. Isolate the problem and enable debugging on the socket(s) involved in the connection. Find the address of the protocol control blocks associated with the sockets using the -A option to netstat(1). Then run trpt with the -p option, supplying the associated protocol control block addresses. If there are many sockets using the debugging option, the -j option may be useful in checking to see if any trace records are present for the socket in question.

If debugging is being performed on a system or core file other than the default, the last two arguments may be used to supplant the defaults.

Tdmp and Tprint are companion programs which can be used to accomplish the same thing trpt does. Tdmp, however, simply dumps the TCP debugging buffer in binary form to a file. The arguments to tdmp are:

-d  Turn on internal tdmp debugging.

-f  Dump the binary output to the specified filename. Tdmp will by default dump its output to the file ``tdmp.dmp.'' The special filename ``-'' can be used to cause tdmp to write its output to stdout.

-o  Take one pass through the TCP debugging buffer, dumping all data which is there, then exiting. By default, tdmp loops forever tracking the debugging buffer as it is filled. A SIGINTR can be used to stop tdmp. if this options is not used.

The companion program, tprint can be used to format the binary debugging data produced by tdmp. The arguments to tprint are:

-i  Read the binary input from the specified filename. By default tprint attempts to read from the file ``tdmp.dmp''. The special filename ``-'' can be used to specify stdin.

-o  Write the formatted output to the specified filename. By default tprint writes to the file ``tprint.print.'' The special filename ``-'' can be used to specify stdout.

options
    The remaining options are identical to those specified above for trpt.

FILES
 /dynix		default ``system'' file
 /dev/kmem	default ``core'' file

SEE ALSO
netstat(1), setsockopt(2)

DIAGNOSTICS
Trpt prints ``no namelist'' when the system image doesn't contain the proper symbols to find the trace buffer; others which should be self-explanatory.

BUGS
Should also print the data for each input or output, but this is not saved in the trace record.

The output format is inscrutable and should be described here.